/* sys.sql - default sys database */

drop database if exists `sys`;
create database `sys`;
use `sys`;

CREATE TABLE `sys_server` (
  `svr_id` int(11) NOT NULL auto_increment,
  `svr_ts` timestamp NOT NULL default '0000-00-00 00:00:00',
  `svr_server` varchar(20) NOT NULL default '',
  `svr_database` varchar(255) NOT NULL default '',
  `svr_port` int(11) NOT NULL default '0',
  `svr_pid` int(11) NOT NULL default '0',
  `svr_enabled` enum('0','1') NOT NULL default '1',
  `svr_settings` text NOT NULL,
  PRIMARY KEY  (`svr_id`),
  UNIQUE KEY `sar_name` (`svr_server`),
  UNIQUE KEY `sar_port` (`svr_port`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='system mod_perl servers' ;

CREATE TABLE `sys_vhost` (
  `svh_id` int(11) NOT NULL auto_increment,
  `svh_ts` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `svh_vhost` varchar(255) NOT NULL default '',
  `svh_server` varchar(255) NOT NULL default '',
  `svh_database` varchar(255) NOT NULL default '',
  `svh_comment` varchar(255) NOT NULL default '',
  `svh_enabled` enum('0','1') NOT NULL default '0',
  `svh_secure` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`svh_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='system virtual hosts' ;

INSERT INTO `sys_server` VALUES (1, '2005-01-01 00:00:00', 'demo', 'dsdemo', 8081, 0, '0', '');
INSERT INTO `sys_server` VALUES (2, '2005-01-01 00:00:00', 'test', 'dstest', 8082, 0, '1', '');
INSERT INTO `sys_server` VALUES (18, '2004-10-18 21:09:42', 'debug', '', 8085, 0, '0', 'Use for debug only');
INSERT INTO `sys_server` VALUES (20, '2005-02-15 11:57:17', 'proxy', '', 80, 0, '1', 'Front end proxy server');
INSERT INTO `sys_server` VALUES (21, '2005-02-15 12:18:55', 'proxyssl', '', 443, 0, '1', 'Front end proxy SSL server');
        
INSERT INTO `sys_vhost` VALUES (1, '2005-01-01 00:00:00', 'demo.<%domain%>', 'demo', 'dsdemo', 'Demonstration virtual host', '1', '0');
INSERT INTO `sys_vhost` VALUES (2, '2005-01-01 00:00:00', 'test.<%domain%>', 'test', 'dstest', 'Test virtual host', '1', '0');
INSERT INTO `sys_vhost` VALUES (3, '2005-01-01 00:00:00', 'live.<%domain%>', 'demo', 'dslive', 'Live site', '1', '1');
INSERT INTO `sys_vhost` VALUES (4, '2005-01-01 00:00:00', 'debug.<%domain%>', 'debug', 'dstest', 'Debug site', '0', '1');
INSERT INTO `sys_vhost` VALUES (5, '2005-01-01 00:00:00', 'blank.<%domain%>', 'demo', 'dsblank', 'Blank system', '1', '0');

